Bug 133249 - [PATCH] oops unplugging USB dvd burner
[PATCH] oops unplugging USB dvd burner
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-09-22 14:54 EDT by Colin Walters
Modified: 2015-01-04 17:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 23:03:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Colin Walters 2004-09-22 14:54:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809 Epiphany/1.3.8

Description of problem:
Here is the oops: after this my usb system seems to be hosed.

usb 1-2: USB disconnect, address 2
scsi: Device offlined - not ready after error recovery: host 0 channel
0 id 0 lun 0
sr 0:0:0:0: Illegal state transition cancel->offline
Badness in scsi_device_set_state at drivers/scsi/scsi_lib.c:1688
 [<42afd621>] scsi_device_set_state+0xc8/0xd3 [scsi_mod]
 [<42afab65>] scsi_eh_offline_sdevs+0x49/0x5e [scsi_mod]
 [<42afb120>] scsi_unjam_host+0x22d/0x23e [scsi_mod]
 [<42afb26b>] scsi_error_handler+0x13a/0x191 [scsi_mod]
 [<0211b329>] schedule_tail+0xc/0x37
 [<42afb131>] scsi_error_handler+0x0/0x191 [scsi_mod]
 [<021041d9>] kernel_thread_helper+0x5/0xb
Unable to handle kernel NULL pointer dereference at virtual address
00000008
 printing eip:
0224d3cf
*pde = 00000000
Oops: 0000 [#1]
Modules linked in: tun arc4 ieee80211_crypt_wep(U) sr_mod usb_storage
scsi_mod parport_pc lp parport autofs4 ds microcode dm_mod button
battery asus_acpi ac radeon md5 ipv6 ohci1394 ieee1394 yenta_socket
pcmcia_core uhci_hcd ehci_hcd snd_intel8x0m snd_intel8x0
snd_ac97_codec snd_pcm_oss snd_mixer_oss snd_pcm snd_timer
snd_page_alloc gameport snd_mpu401_uart snd_rawmidi snd_seq_device snd
soundcore ipw2100(U) ieee80211(U) ieee80211_crypt(U) e100 mii floppy
ext3 jbd
CPU:    0
EIP:    0060:[<0224d3cf>]    Not tainted VLI
EFLAGS: 00010046   (2.6.8-1.584)
EIP is at cfq_insert_request+0x45/0xdf
eax: 41aaa2d0   ebx: 41302ab0   ecx: 00000001   edx: 41302ab0
esi: 00000001   edi: 00000000   ebp: 00000000   esp: 2cdfcefc
ds: 007b   es: 007b   ss: 0068
Process scsi_eh_0 (pid: 4202, threadinfo=2cdfc000 task=2cf69970)
Stack: 41aaa2d0 41aaa2d0 00000001 41302ab0 00000202 02243bb7 41aaa2d0
00000001
       41302ab0 02243b79 00000000 02245d28 2c4591c0 2c69b400 2f0f6400
00001057
       42afb552 2c4591c0 00000001 2c4591c0 2cdfcf74 2cdfcf74 2cdfcf7c
42afaea2
Call Trace:
 [<02243bb7>] __elv_add_request+0x3c/0x71
 [<02243b79>] elv_requeue_request+0x29/0x2b
 [<02245d28>] blk_insert_request+0xba/0x18b
 [<42afb552>] scsi_queue_insert+0x84/0x8d [scsi_mod]
 [<42afaea2>] scsi_eh_flush_done_q+0x7d/0xce [scsi_mod]
 [<42afb129>] scsi_unjam_host+0x236/0x23e [scsi_mod]
 [<42afb26b>] scsi_error_handler+0x13a/0x191 [scsi_mod]
 [<0211b329>] schedule_tail+0xc/0x37
 [<42afb131>] scsi_error_handler+0x0/0x191 [scsi_mod]
 [<021041d9>] kernel_thread_helper+0x5/0xb
Code: 74 29 eb 51 83 f9 03 74 33 eb 4a 8b 04 24 89 fa e8 f8 fa ff ff
85 c0 75 f2 8b 47 08 8b 50 04 89 03 89 58 04 89 1a 89 53 04 eb 3f <8b>
47 08 8b 10 89 5a 04 89 13 89 43 04 89 18 eb 2e f6 42 08 10


Version-Release number of selected component (if applicable):
kernel-2.6.8-1.584

How reproducible:
Didn't try

Steps to Reproduce:
Not sure about reproducibility, going to try rebooting now.

Additional info:
Comment 1 Colin Walters 2004-09-22 15:05:21 EDT
Ok, crash is reproducible after rebooting.

Relevant lspci -v output:

00:1d.0 USB Controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 03) (prog-if 00 [UHCI])
        Subsystem: Gateway 2000: Unknown device 0450
        Flags: bus master, medium devsel, latency 0, IRQ 11
        I/O ports at 1800 [size=32]

00:1d.1 USB Controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 03) (prog-if 00 [UHCI])
        Subsystem: Gateway 2000: Unknown device 0450
        Flags: bus master, medium devsel, latency 0, IRQ 11
        I/O ports at 1820 [size=32]

00:1d.2 USB Controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 03) (prog-if 00 [UHCI])
        Subsystem: Gateway 2000: Unknown device 0450
        Flags: bus master, medium devsel, latency 0, IRQ 10
        I/O ports at 1840 [size=32]

00:1d.7 USB Controller: Intel Corp. 82801DB/DBM (ICH4/ICH4-M) USB 2.0
EHCI Controller (rev 03) (prog-if 20 [EHCI])
        Subsystem: Gateway 2000: Unknown device 0450
        Flags: bus master, medium devsel, latency 0, IRQ 10
        Memory at d0000000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2

Let me know if you need anything more...
Comment 2 Colin Walters 2004-09-22 15:07:24 EDT
I forgot the model information:

scsi0 : SCSI emulation for USB Mass Storage devices
  Vendor: SONY      Model: DVD RW DRU-510A   Rev: 1.0d
  Type:   CD-ROM                             ANSI SCSI revision: 02
USB Mass Storage device found at 2
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
sr0: scsi3-mmc drive: 32x/32x writer cd/rw xa/form2 cdda tray
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 0, lun 0
Comment 3 Havoc Pennington 2004-09-25 12:33:51 EDT
I got this too with a USB TDK CD-R


Comment 4 Cedric Gustin 2004-11-12 04:18:37 EST
Same problem here with a ASUS DRW-0804P and Fedora Core 3

Applying the patches mentioned in the following message fixed the problem

http://marc.theaimsgroup.com/?l=linux-usb-users&m=109837385904817&w=2

Note You need to log in before you can comment on or make changes to this bug.